cURL
curl --request POST \
--url https://api.comm.com/api/v1/sms/routing/plans/{plan}/simulate/segments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter_segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"counter": 1,
"segment_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.comm.com/api/v1/sms/routing/plans/{plan}/simulate/segments"
payload = {
"filter_segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"counter": 1,
"segment_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter_segment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
counter: 1,
segment_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.comm.com/api/v1/sms/routing/plans/{plan}/simulate/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"contacts_count": 123,
"resource": {
"to_send": true,
"status": {},
"selected_method": {},
"selected_action": {},
"selected_rule_id": "<string>",
"selected_route": "<string>",
"costs": {
"cost_platform_customer": 123,
"cost_route_vendor": 123,
"cost_route_seller": 0,
"cost_platform_seller": 0,
"sms_route_rate_id": "<string>"
}
},
"country_ids": [
"<string>"
],
"network_ids": [
"<string>"
]
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}SmsRoutingPlans
Post v1smsroutingplans simulatesegments
POST
/
v1
/
sms
/
routing
/
plans
/
{plan}
/
simulate
/
segments
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The plan ID
Body
application/json
Response
Show child attributes
Show child attributes
⌘I